Main Page Widgets Namespaces Book

# uimanager.h File Reference

## Namespaces

namespace | Glib
namespace | Gtk

## Enumerations

enum | UIManagerItemType { UI_MANAGER_AUTO = 0, UI_MANAGER_MENUBAR = 1 << 0, UI_MANAGER_MENU = 1 << 1, UI_MANAGER_TOOLBAR = 1 << 2, UI_MANAGER_PLACEHOLDER = 1 << 3, UI_MANAGER_POPUP = 1 << 4, UI_MANAGER_MENUITEM = 1 << 5, UI_MANAGER_TOOLITEM = 1 << 6, UI_MANAGER_SEPARATOR = 1 << 7, UI_MANAGER_ACCELERATOR = 1 << 8 }

## Functions

UIManagerItemType | operator& (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType& | operator&= (UIManagerItemType& lhs, UIManagerItemType rhs)
UIManagerItemType | operator^ (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType& | operator^= (UIManagerItemType& lhs, UIManagerItemType rhs)
UIManagerItemType | operator| (UIManagerItemType lhs, UIManagerItemType rhs)
UIManagerItemType& | operator|= (UIManagerItemType& lhs, UIManagerItemType rhs)
UIManagerItemType | operator~ (UIManagerItemType flags)